Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.trans.steps.xmloutput
Class XMLOutputData

    java.lang.Object
      org.pentaho.di.trans.step.BaseStepData
          org.pentaho.di.trans.steps.xmloutput.XMLOutputData

All Implemented Interfaces:
  StepDataInterface

    public class XMLOutputData

extends BaseStepData
implements StepDataInterface

Since:
  22-jan-2005
Author:
  Matt

Field Summary
`SimpleDateFormat` | `daf`
`DateFormatSymbols` | `dafs`
`SimpleDateFormat` | `defaultDateFormat`
`DateFormatSymbols` | `defaultDateFormatSymbols`
`DecimalFormat` | `defaultDecimalFormat`
`DecimalFormatSymbols` | `defaultDecimalFormatSymbols`
`DecimalFormat` | `df`
`DecimalFormatSymbols` | `dfs`
`int[]` | `fieldnrs`
`org.pentaho.di.core.row.RowMetaInterface` | `formatRowMeta`
`Object[]` | `headerrow`
`NumberFormat` | `nf`
`boolean` | `OpenedNewFile`
`org.pentaho.di.core.row.RowMetaInterface` | `outputRowMeta`
`int` | `splitnr`
`OutputStreamWriter` | `writer`
`ZipOutputStream` | `zip`

Fields inherited from interface org.pentaho.di.trans.step.StepDataInterface
`STATUS_DISPOSED, STATUS_EMPTY, STATUS_FINISHED, STATUS_HALTED, STATUS_HALTING, STATUS_IDLE, STATUS_INIT, STATUS_PAUSED, STATUS_RUNNING, STATUS_STOPPED`

Constructor Summary
`XMLOutputData()`

Method Summary

Methods inherited from class org.pentaho.di.trans.step.BaseStepData
`getStatus, isDisposed, isEmpty, isFinished, isIdle, isInitialising, isRunning, isStopped, setStatus`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.pentaho.di.trans.step.StepDataInterface
`getStatus, isDisposed, isEmpty, isFinished, isIdle, isInitialising, isRunning, setStatus`

Field Detail

### splitnr

    public int splitnr

### headerrow

    public Object[] headerrow

### fieldnrs

    public int[] fieldnrs

### nf

    public NumberFormat nf

### df

    public DecimalFormat df

### formatRowMeta

    public org.pentaho.di.core.row.RowMetaInterface formatRowMeta

### outputRowMeta

    public org.pentaho.di.core.row.RowMetaInterface outputRowMeta

### dfs

    public DecimalFormatSymbols dfs

### daf

    public SimpleDateFormat daf

### dafs

    public DateFormatSymbols dafs

### zip

    public ZipOutputStream zip

### writer

    public OutputStreamWriter writer

### defaultDecimalFormat

    public DecimalFormat defaultDecimalFormat

### defaultDecimalFormatSymbols

    public DecimalFormatSymbols defaultDecimalFormatSymbols

### defaultDateFormat

    public SimpleDateFormat defaultDateFormat

### defaultDateFormatSymbols

    public DateFormatSymbols defaultDateFormatSymbols

### OpenedNewFile

    public boolean OpenedNewFile

Constructor Detail

### XMLOutputData

    public XMLOutputData()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD